LibreOffice: PageStyle Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | List of all members
PageStyle Service Referencepublished

contributes common properties of page styles. More...

Inheritance diagram for PageStyle:

## Included Services
service | com::sun::star::style::Style
| provides common functionality for styles.
service | com::sun::star::style::PageProperties
| gives access to the pages properties.
Included Services inherited from Style
service | com::sun::star::xml::UserDefinedAttributesSupplier
| contains user defined attributes.

## Additional Inherited Members
Public Types inherited from Style
typedef sequence< com::sun::star::beans::NamedValue > | ParaStyleConditions
| defines the context and styles for conditional paragraphs.
typedef sequence< com::sun::star::beans::PropertyValue > | StyleInteropGrabBag
| Grab bag of style properties, used as a string-any map for interim interop purposes.
Exported Interfaces inherited from Style
interface | com::sun::star::style::XStyle
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::beans::XMultiPropertyStates
Public Member Functions inherited from XStyle
boolean | isUserDefined ()
| identifies a style as defined by the user.
boolean | isInUse ()
string | getParentStyle ()
void | setParentStyle ([in] string aParentStyle) raises ( com::sun::star::container::NoSuchElementException )
| sets the name of the parent style.
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Attributes inherited from Style
boolean | IsPhysical
| determines if a style is physically created.
string | FollowStyle
| contains the name of the style that is applied to the next paragraph.
string | DisplayName
| contains the name of the style as it is displayed in the user interface.
string | IsAutoUpdate
| determines if a style is automatically updated, if the properties of an object that the style is applied to are changed.
boolean | Hidden
| Flag indicating whether to hide the style in the UI.
Public Attributes inherited from PageProperties
com::sun::star::util::Color | BackColor
| contains the background color of the page.
string | BackGraphicURL
| contains the URL of the background graphic.
string | BackGraphicFilter
| contains the filter name of the background graphic.
com::sun::star::style::GraphicLocation | BackGraphicLocation
| determines the location of the background graphic.
boolean | BackTransparent
| determines if the background color is transparent.
long | LeftMargin
| determines the left margin of the page.
long | RightMargin
| determines the right margin of the page.
long | TopMargin
| determines the top margin of the page.
long | BottomMargin
| determines the bottom margin of the page.
com::sun::star::table::BorderLine | LeftBorder
| determines the style of the left border line of the page.
com::sun::star::table::BorderLine | RightBorder
| determines the style of the right border line of the page.
com::sun::star::table::BorderLine | TopBorder
| determines the style of the top border line of the page.
com::sun::star::table::BorderLine | BottomBorder
| determines the style of the bottom border line of the page.
long | LeftBorderDistance
| determines the left border distance of the page.
long | RightBorderDistance
| determines the right border distance of the page.
long | TopBorderDistance
| determines the top border distance of the page.
long | BottomBorderDistance
| determines the bottom border distance of the page.
com::sun::star::table::ShadowFormat | ShadowFormat
| determines the shadow of the page.
boolean | IsLandscape
| determines if the page format is landscape.
short | NumberingType
| determines the default numbering type for this page.
com::sun::star::style::PageStyleLayout | PageStyleLayout
| determines the layout of the page.
string | PrinterPaperTray
| contains the name of a paper tray of the selected printer.
boolean | RegisterModeActive
| determines if the register mode is active on that page.
string | RegisterParagraphStyle
| contains the name of the paragraph style that is used as reference of the register mode.
com::sun::star::awt::Size | Size
| contains the paper size of the page.
long | Width
| contains the width of the page.
long | Height
| contains the height of the page.
com::sun::star::text::XTextColumns | TextColumns
| contains the column settings of the page.
com::sun::star::container::XNameContainer | UserDefinedAttributes
| contains user defined attributes.
com::sun::star::util::Color | HeaderBackColor
| contains the color of the background of the header.
string | HeaderBackGraphicURL
| contains the URL of the background graphic of the header.
string | HeaderBackGraphicFilter
| contains the filter name of the background graphic of the header.
com::sun::star::style::GraphicLocation | HeaderBackGraphicLocation
| determines the location of the background graphic of the header.
long | HeaderLeftMargin
| contains the left margin of the header.
long | HeaderRightMargin
| contains the right margin of the header.
boolean | HeaderBackTransparent
| determines if the background color of the header is transparent.
com::sun::star::table::BorderLine | HeaderLeftBorder
| determines the style of the left border line of the header.
com::sun::star::table::BorderLine | HeaderRightBorder
| determines the style of the right border line of the header.
com::sun::star::table::BorderLine | HeaderTopBorder
| determines the style of the top border line of the header.
com::sun::star::table::BorderLine | HeaderBottomBorder
| determines the style of the bottom border line of the header.
long | HeaderLeftBorderDistance
| determines the left border distance of the header.
long | HeaderRightBorderDistance
| determines the right border distance of the header.
long | HeaderTopBorderDistance
| determines the top border distance of the header.
long | HeaderBottomBorderDistance
| determines the bottom border distance of the header.
com::sun::star::table::ShadowFormat | HeaderShadowFormat
| determines the shadow of the header.
long | HeaderBodyDistance
| determines the distance between the header and the body text area.
boolean | HeaderIsShared
| determines if the header content on left and right pages is the same.
boolean | FirstIsShared
| determines if the header/footer content on the first page and remaining pages is the same.
long | HeaderHeight
| contains the height of the header.
boolean | HeaderIsDynamicHeight
| determines if the height of the header depends on the content.
boolean | HeaderIsOn
| determines if a header is used on the page.
com::sun::star::text::XText | HeaderText
| contains the interface to the text of the header.
com::sun::star::text::XText | HeaderTextLeft
| contains the interface to the text of the header of left pages.
com::sun::star::text::XText | HeaderTextRight
| contains the interface to the text of the header of right pages.
com::sun::star::util::Color | FooterBackColor
| contains the color of the background of the footer.
string | FooterBackGraphicURL
| contains the URL of the background graphic in the footer.
string | FooterBackGraphicFilter
| contains the filter name of the background graphic in the footer.
com::sun::star::style::GraphicLocation | FooterBackGraphicLocation
| determines the location of the background graphic in the footer.
long | FooterLeftMargin
| determines the left margin of the footer.
long | FooterRightMargin
| determines the right margin of the footer.
boolean | FooterBackTransparent
| determines if the background of the footer is transparent.
com::sun::star::table::BorderLine | FooterLeftBorder
| contains the style of the left border line of the footer.
com::sun::star::table::BorderLine | FooterRightBorder
| contains the style of the right border line of the footer.
com::sun::star::table::BorderLine | FooterTopBorder
| contains the style of the top border line of the footer.
com::sun::star::table::BorderLine | FooterBottomBorder
| contains the style of the bottom border line of the footer.
long | FooterLeftBorderDistance
| contains the left border distance of the footer.
long | FooterRightBorderDistance
| contains the right border distance of the footer.
long | FooterTopBorderDistance
| contains the top border distance of the footer.
long | FooterBottomBorderDistance
| contains the bottom border distance of the footer.
com::sun::star::table::ShadowFormat | FooterShadowFormat
| determines the shadow of the footer.
long | FooterBodyDistance
| determines the distance between the footer and the body text area.
boolean | FooterIsDynamicHeight
| determines if the height of the footer depends on the content.
boolean | FooterIsShared
| determines if the footer content on left and right pages is the same.
long | FooterHeight
| determines the height of the footer.
boolean | FooterIsOn
| determines if a footer is used on the page.
com::sun::star::text::XText | FooterText
| contains the interface to the text of the footer.
com::sun::star::text::XText | FooterTextLeft
| contains the interface to the text of the footer of a left page.
com::sun::star::text::XText | FooterTextRight
| contains the interface to the text of the footer of a right page.
long | FootnoteHeight
| contains the maximum height of the footnote area.
short | FootnoteLineWeight
| contains the weight of the separator line between the text and the footnote area.
short | FootnoteLineStyle
| contains the style of the separator line between the text and the footnote area.
com::sun::star::util::Color | FootnoteLineColor
| contains the color of the separator line between the text and the footnote area.
byte | FootnoteLineRelativeWidth
| contains the relative width of the separator line between the text and the footnote area.
short | FootnoteLineAdjust
| contains the adjustment of the separator line between the text and the footnote area.
long | FootnoteLineTextDistance
| contains the distance between the text and the separator line between the text and the footnote area.
long | FootnoteLineDistance
| contains the distance between the footnote area and the separator line between the text and the footnote area.
short | WritingMode
| contains the writing direction, as represented by the com::sun::star::text::WritingMode2 constants
short | GridMode
| contains the mode of the text grid (none, lines, ...), as represented by com::sun::star::text::TextGridMode constants
com::sun::star::util::Color | GridColor
| contains the display color of the text grid
short | GridLines
| contains the number of lines in the text grid
long | GridBaseHeight
| contains the height of the base text line inside the text grid
long | GridRubyHeight
| contains the height of the ruby text line inside the text grid
boolean | GridRubyBelow
| determines whether the text grid's ruby line is located below or above the base line
boolean | GridPrint
| determines whether the text grid lines are printed
boolean | GridDisplay
| determines whether the text grid lines are visible or not
boolean | HeaderDynamicSpacing
| determines whether to use dynamic spacing in header or not.
boolean | FooterDynamicSpacing
| determines whether to use dynamic spacing in footer or not.
long | BorderDistance
| determines the distance of all borders of the page.
long | FooterBorderDistance
| contains the distance of all borders of the footer.
long | HeaderBorderDistance
| determines the distance of all borders of the header.
com::sun::star::graphic::XGraphic | BackGraphic
| contains the graphic of the background.
com::sun::star::graphic::XGraphic | HeaderBackGraphic
| contains the graphic of the background of the header.
com::sun::star::graphic::XGraphic | FooterBackGraphic
| contains the graphic of the background of the footer.
long | GutterMargin
| determines the gutter margin of the page.
boolean | BackgroundFullSize
| does the background cover the full page or only inside the margins?
boolean | RtlGutter
| specifies that the page gutter shall be placed on the right side of the page.
Protected Member Functions inherited from XStyle
boolean | isUserDefined ()
| identifies a style as defined by the user.
boolean | isInUse ()
string | getParentStyle ()
void | setParentStyle ([in] string aParentStyle) raises ( com::sun::star::container::NoSuchElementException )
| sets the name of the parent style.
Protected Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Protected Member Functions inherited from XMultiPropertyStates
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setAllPropertiesToDefault ()
| sets all properties to their default values.
void | setPropertiesToDefault ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException )
| sets the specified properties to their default values.
sequence< any > | getPropertyDefaults ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Attributes inherited from UserDefinedAttributesSupplier
::com::sun::star::container::XNameContainer | UserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes.

## Detailed Description

contributes common properties of page styles.

See also
  com::sun::star::text::TextPageStyle
  com::sun::star::sheet::TablePageStyle

## Exported Interfaces

## ◆ com::sun::star::style::PageProperties

service com::sun::star::style::PageProperties

gives access to the pages properties.

## ◆ com::sun::star::style::Style

service com::sun::star::style::Style

provides common functionality for styles.

The documentation for this service was generated from the following file:

- com/sun/star/style/PageStyle.idl